OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_PointEdgeMap Class Reference

`#include <StepToTopoDS_PointEdgeMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_PointEdgeMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT StepToTopoDS_PointEdgeMap & | Assign (const StepToTopoDS_PointEdgeMap &Other)
StepToTopoDS_PointEdgeMap & | operator= (const StepToTopoDS_PointEdgeMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~StepToTopoDS_PointEdgeMap ()
Standard_EXPORT Standard_Boolean | Bind (const StepToTopoDS_PointPair &K, const TopoDS_Edge &I)
Standard_EXPORT Standard_Boolean | IsBound (const StepToTopoDS_PointPair &K) const
Standard_EXPORT Standard_Boolean | UnBind (const StepToTopoDS_PointPair &K)
Standard_EXPORT const TopoDS_Edge & | Find (const StepToTopoDS_PointPair &K) const
const TopoDS_Edge & | operator() (const StepToTopoDS_PointPair &K) const
Standard_EXPORT TopoDS_Edge & | ChangeFind (const StepToTopoDS_PointPair &K)
TopoDS_Edge & | operator() (const StepToTopoDS_PointPair &K)
## Private Member Functions
Standard_EXPORT | StepToTopoDS_PointEdgeMap (const StepToTopoDS_PointEdgeMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_PointEdgeMap::StepToTopoDS_PointEdgeMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

StepToTopoDS_PointEdgeMap::~StepToTopoDS_PointEdgeMap | ( |  | ) | `[inline]`

Standard_EXPORT StepToTopoDS_PointEdgeMap::StepToTopoDS_PointEdgeMap | ( | const StepToTopoDS_PointEdgeMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT StepToTopoDS_PointEdgeMap& StepToTopoDS_PointEdgeMap::Assign | ( | const StepToTopoDS_PointEdgeMap & | Other | ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_PointEdgeMap::Bind | ( | const StepToTopoDS_PointPair & | K,
|  | const TopoDS_Edge & | I
| ) |

Standard_EXPORT TopoDS_Edge& StepToTopoDS_PointEdgeMap::ChangeFind | ( | const StepToTopoDS_PointPair & | K | ) |

Standard_EXPORT void StepToTopoDS_PointEdgeMap::Clear | ( |  | ) |

Standard_EXPORT const TopoDS_Edge& StepToTopoDS_PointEdgeMap::Find | ( | const StepToTopoDS_PointPair & | K | ) | const

Standard_EXPORT Standard_Boolean StepToTopoDS_PointEdgeMap::IsBound | ( | const StepToTopoDS_PointPair & | K | ) | const

void StepToTopoDS_PointEdgeMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_PointEdgeMap::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_PointEdgeMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TopoDS_Edge& StepToTopoDS_PointEdgeMap::operator() | ( | const StepToTopoDS_PointPair & | K | ) | `[inline]`

const TopoDS_Edge& StepToTopoDS_PointEdgeMap::operator() | ( | const StepToTopoDS_PointPair & | K | ) | const`[inline]`

StepToTopoDS_PointEdgeMap& StepToTopoDS_PointEdgeMap::operator= | ( | const StepToTopoDS_PointEdgeMap & | Other | ) | `[inline]`

Standard_EXPORT void StepToTopoDS_PointEdgeMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_PointEdgeMap::UnBind | ( | const StepToTopoDS_PointPair & | K | ) |

The documentation for this class was generated from the following file:

- StepToTopoDS_PointEdgeMap.hxx